This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### frameRate()
Examples |
    void setup() {
      frameRate(4);
    }
    int pos = 0;
    void draw() {
      background(204);
      pos++;
      line(pos, 20, pos, 80);
      if (pos > width) {
        pos = 0;
      }
    }
Description | Specifies the number of frames to be displayed every second. For example, the function call frameRate(30) will attempt to refresh 30 times a second. If the processor is not fast enough to maintain the specified rate, the frame rate will not be achieved. Setting the frame rate within setup() is recommended. The default rate is 60 frames per second.
Syntax |
    frameRate(fps)
Parameters |
fps | float: number of desired frames per second
Returns | void
Related | setup() draw() loop() noLoop() redraw()

Updated on October 26, 2013 08:58:30pm PDT